This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475540 - Need to verify that SSA works with Azure Managed Storage
Need to verify that SSA works with Azure Managed Storage
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity urgent
: GA
: 5.9.0
Assigned To: Jerry Keselman
Satyajit Bulage
: TestOnly, ZStream
: 1459612 1490486 (view as bug list)
Depends On:
Blocks: 1488967
  Show dependency treegraph
 
Reported: 2017-07-26 17:04 EDT by bascar
Modified: 2017-10-06 08:46 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1488967 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 Jerry Keselman 2017-09-05 08:59:17 EDT
Four PRs have been implemented and merged upstream to handle this functionality - 

https://github.com/ManageIQ/manageiq-providers-azure/pull/117

https://github.com/ManageIQ/manageiq-smartstate/pull/23

https://github.com/ManageIQ/manageiq/pull/15865

and
https://github.com/ManageIQ/azure-armrest/pull/299.

The Azure-Armrest gem has been pushed out as Gem version 8.2

We are working through what needs to be done to push these changes downstream.
Comment 3 Jerry Keselman 2017-09-05 09:02:32 EDT
*** Bug 1459612 has been marked as a duplicate of this bug. ***
Comment 4 Jerry Keselman 2017-09-05 17:06:24 EDT
Another PR has been implemented and merged https://github.com/ManageIQ/manageiq-smartstate/pull/25 to increment the gem version number.  

Finally https://github.com/ManageIQ/manageiq/pull/15938 has been added to pull in the incremented version of the manageiq-smartstate gem.
Comment 5 Satoe Imaishi 2017-09-06 09:54:52 EDT
Also need https://github.com/ManageIQ/manageiq-providers-azure/pull/120
Comment 7 Jerry Keselman 2017-09-11 16:44:36 EDT
*** Bug 1490486 has been marked as a duplicate of this bug. ***
Comment 8 Jerry Keselman 2017-09-13 09:17:38 EDT
Additional changes are needed to wait for the snapshot status to be marked SUCCEEDED.
Comment 9 Jerry Keselman 2017-09-13 13:34:33 EDT
https://github.com/ManageIQ/manageiq-providers-azure/pull/125 has been added to handle the wait functionality.  Waiting for review and merge and back port to Fine.
Comment 11 CFME Bot 2017-09-15 17:08:12 EDT
New commit detected on ManageIQ/manageiq-providers-azure/master:
https://github.com/ManageIQ/manageiq-providers-azure/commit/dda46b223ee4f3123662d3297e9c859b49e893f2

commit dda46b223ee4f3123662d3297e9c859b49e893f2
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Fri Sep 15 16:36:34 2017 -0400
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Fri Sep 15 16:36:34 2017 -0400

    Changes to wait for snapshot completion.
    
    Loosened check for success. Added debugging to help determine the problem.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1463780
    https://bugzilla.redhat.com/show_bug.cgi?id=1475540

 app/models/manageiq/providers/azure/cloud_manager.rb | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)
Comment 13 CFME Bot 2017-09-23 12:34:16 EDT
New commit detected on ManageIQ/manageiq-smartstate/master:
https://github.com/ManageIQ/manageiq-smartstate/commit/389ee0fc3854e44f97794c885cecce9533a902e3

commit 389ee0fc3854e44f97794c885cecce9533a902e3
Author:     Jerry Keselman <jerryk@redhat.com>
AuthorDate: Fri Sep 22 18:07:06 2017 -0400
Commit:     Jerry Keselman <jerryk@redhat.com>
CommitDate: Fri Sep 22 18:07:06 2017 -0400

    Rerecorded Azure Managed Disk tests
    
    As a result of several of the Azure Managed Disk changes for BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1475540
    these tests needed to be rerecorded.

 .../azure_managed_disk_spec_blockSize-1.yml        | 583 ++++++++++------
 .../azure_managed_disk_spec_diskType-1.yml         | 583 ++++++++++------
 .../azure_managed_disk_spec_endByteAddr-1.yml      | 581 ++++++++++------
 .../azure_managed_disk_spec_endByteAddr-2.yml      | 583 ++++++++++------
 .../azure_managed_disk_spec_getPartitions-1.yml    | 735 ++++++++++++++-------
 .../azure_managed_disk_spec_lbaEnd-1.yml           | 583 ++++++++++------
 .../azure_managed_disk_spec_lbaStart-1.yml         | 583 ++++++++++------
 .../azure_managed_disk_spec_new-1.yml              | 313 +++++----
 .../azure_managed_disk_spec_new-2.yml              | 583 ++++++++++------
 .../azure_managed_disk_spec_partNum-1.yml          | 580 +++++++++-------
 .../azure_managed_disk_spec_partType-1.yml         | 581 ++++++++++------
 .../azure_managed_disk_spec_size-1.yml             | 581 ++++++++++------
 .../azure_managed_disk_spec_startByteAddr-1.yml    | 581 ++++++++++------
 13 files changed, 4835 insertions(+), 2615 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.